---
title: "Get ICMP Monitor Check History"
description: "Returns recent check results for the ICMP monitor."
---

`GET /api/icmp-monitors/:icmpMonitorPublicId/check-history`

## Authentication

Requires a valid session.

- Header: `Authorization: Bearer <token>`

## Parameters

- `icmpMonitorPublicId` (Path, required): ICMP monitor public UUID.
- `limit` (Query, optional): Maximum number of results (default: 50, max: 200).

## cURL

```bash
curl -X GET "https://YOUR_DOMAIN/api/icmp-monitors/22222222-2222-4222-8222-222222222222/check-history?limit=50" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

```json
{
  "data": [
    {
      "id": "f6b0e5a7-4c4a-4d3b-9f6b-0e5a74c4a4d3",
      "status": "success",
      "errorMessage": null,
      "warningMessage": null,
      "timingIcmp": 22,
      "diagnostics": {
        "min": 11.1,
        "avg": 22.2,
        "max": 33.3,
        "packetLoss": 0
      },
      "checkedAt": "2026-02-26T12:00:00.000Z",
      "locationId": 7,
      "locationName": "Nuremberg (DE)",
      "locationCode": "de-nbg"
    }
  ]
}
```

## Errors

- `400` ICMP monitor public ID (UUID) required
- `401` Unauthorized
- `403` Forbidden
- `404` ICMP monitor not found

